package com.gic.haoban.manage.api.enums;

import java.io.Serializable;

/**
 * desc：加好友配置类型枚举类
 *
 * @author: YongEn
 * @date: 2022/2/10
 **/
public enum FriendSettingTypeEnum implements Serializable {
    /**
     *
     */
    TEXT_AND_MINI_PROGRAM(1, "发送好办欢迎语文案+小程序卡片(附带导购参数)"),
    TEXT_AND_QRCODE(2, "发送好办欢迎语文案+公众号二维码(附带导购参数)"),
    TEXT(3, "发送好办欢迎语文案"),
    NOT_TEXT(4, "不发送好办欢迎语，用企微欢迎语"),
    ;

    private final Integer code;
    private final String desc;

    FriendSettingTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
